[libav-tools] error on Mac when installing dependencies

Luca Barbato lu_zero at gentoo.org
Fri Mar 3 16:21:19 CET 2017


On 20/02/2017 17:46, Pu Shi wrote:
> I ran:
> 
> ./licode/scripts/installMacDeps.sh
> 
> 
> and got:
> 
> 
> patching file libavcodec/libvpxenc.c
> 
> Hunk #1 succeeded at 70 (offset -1 lines).
> 
> Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr
> --with-gxx-include-dir=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/include/c++/4.2.1
> 
> Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr
> --with-gxx-include-dir=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/include/c++/4.2.1
> 
> Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr
> --with-gxx-include-dir=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/include/c++/4.2.1
> 
> Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr
> --with-gxx-include-dir=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/include/c++/4.2.1
> 
> Configured with: --prefix=/Applications/Xcode.app/Contents/Developer/usr
> --with-gxx-include-dir=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.12.sdk/usr/include/c++/4.2.1
> 
> ERROR: libvpx decoder version must be >=0.9.1
> 
> 
> If you think configure made a mistake, make sure you are using the latest
> 
> version from Git.  If the latest version fails, report the problem to the
> 
> libav-tools at libav.org mailing list or IRC #libav on irc.freenode.net.
> 
> Include the log file "config.log" produced by configure as this will help
> 
> solving the problem.
> 
> 
> I have the latest version (1.6.1) of libvpx installed by "brew install"
> 
> 

I'm not seeing the config.log to confirm, but probably the script you
are using is pulling in an ancient version of libvpx.

lu



More information about the libav-tools mailing list